# Metric definitions in pipe_tasks

ProcessCcdTime: &RunningTime
    description: Wall-clock time elapsed in ProcessCcdTask.
    unit: s
    reference:
        url: https://confluence.lsstcorp.org/pages/viewpage.action?spaceKey=~ebellm&title=Alert+Production+Metrics
    tags:
        - ap_verify
        - workflow
        - task
        - monitoring

CharacterizeImageTime:
    <<: *RunningTime
    description: Wall-clock time elapsed in CharacterizeImageTask.

CalibrateTime:
    <<: *RunningTime
    description: Wall-clock time elapsed in CalibrateTask.

ImageDifferenceTime:
    <<: *RunningTime
    description: Wall-clock time elapsed in ImageDifferenceTask.

RegisterImageTime:
    <<: *RunningTime
    description: Wall-clock time elapsed in registerImage.RegisterTask.

ProcessCcdMemory: &Memory
    description: Maximum resident set size in or before any ProcessCcdTask process.
    unit: byte
    reference:
        url: https://confluence.lsstcorp.org/pages/viewpage.action?spaceKey=~ebellm&title=Alert+Production+Metrics
    tags:
        - ap_verify
        - workflow
        - task
        - monitoring

ImageDifferenceMemory:
    <<: *Memory
    description: Maximum resident set size in or before any ImageDifferenceTask process.

